public static interface BeanEndpointBuilderFactory.BeanBuilders
| Modifier and Type | Method and Description |
|---|---|
default BeanEndpointBuilderFactory.BeanEndpointBuilder |
bean(String path)
Bean (camel-bean)
Invoke methods of Java beans stored in Camel registry.
|
default BeanEndpointBuilderFactory.BeanEndpointBuilder |
bean(String componentName,
String path)
Bean (camel-bean)
Invoke methods of Java beans stored in Camel registry.
|
default BeanEndpointBuilderFactory.BeanEndpointBuilder bean(String path)
bean:beanName
Path parameter: beanName (required)
Sets the name of the bean to invokepath - beanNamedefault BeanEndpointBuilderFactory.BeanEndpointBuilder bean(String componentName, String path)
bean:beanName
Path parameter: beanName (required)
Sets the name of the bean to invokecomponentName - to use a custom component name for the endpoint
instead of the default namepath - beanNameApache Camel